import request from '@/utils/request'

// 查询LineSystemSetting列表
export function listLineSystemSetting(query) {
    return request({
        url: '/api/v1/line-system-setting',
        method: 'get',
        params: query
    })
}

// 查询LineSystemSetting详细
export function getLineSystemSetting (id) {
    return request({
        url: '/api/v1/line-system-setting/' + id,
        method: 'get'
    })
}


// 新增LineSystemSetting
export function addLineSystemSetting(data) {
    return request({
        url: '/api/v1/line-system-setting',
        method: 'post',
        data: data
    })
}

// 修改LineSystemSetting
export function updateLineSystemSetting(data) {
    return request({
        url: '/api/v1/line-system-setting/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除LineSystemSetting
export function delLineSystemSetting(data) {
    return request({
        url: '/api/v1/line-system-setting',
        method: 'delete',
        data: data
    })
}

